package com.miaxis.app.school.domain;

import java.math.BigDecimal;

import com.miaxis.common.core.domain.BaseBusinessEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
/**
 * 驾校训练场对象 school_region
 *
 * @author zhangbin
 * @date 2020-12-28
 */
@Data
@TableName("school_region")
@ApiModel(value = "SchoolRegion", description = "驾校训练场对象 school_region")
public class SchoolRegion extends BaseBusinessEntity {
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId(value = "id")
    @ApiModelProperty(value = "$column.columnComment")
    private Long id;

    /** 驾校全国统一编号 */
    @Excel(name = "驾校全国统一编号")
    @TableField("inscode")
    @ApiModelProperty(value = "驾校全国统一编号")
    private String inscode;

    /** 教学区域编号 计时平台顺序编号 */
    @Excel(name = "教学区域编号 计时平台顺序编号")
    @TableField("seq")
    @ApiModelProperty(value = "教学区域编号 计时平台顺序编号")
    private String seq;

    /** 教学区域名称 */
    @Excel(name = "教学区域名称")
    @TableField("name")
    @ApiModelProperty(value = "教学区域名称")
    private String name;

    /** 教学区域地址 */
    @Excel(name = "教学区域地址")
    @TableField("address")
    @ApiModelProperty(value = "教学区域地址")
    private String address;

    /** 教学区域面积 */
    @Excel(name = "教学区域面积")
    @TableField("area")
    @ApiModelProperty(value = "教学区域面积")
    private Long area;

    /** 教学区域类型 1：第二部分；2：第三部分 */
    @Excel(name = "教学区域类型 1：第二部分；2：第三部分")
    @TableField("type")
    @ApiModelProperty(value = "教学区域类型 1：第二部分；2：第三部分")
    private Long type;

    /** 培训车型 */
    @Excel(name = "培训车型")
    @TableField("vehicletype")
    @ApiModelProperty(value = "培训车型")
    private String vehicletype;

    /** 电子围栏 */
    @Excel(name = "电子围栏")
    @TableField("polygon")
    @ApiModelProperty(value = "电子围栏")
    private String polygon;

    /** 可容纳车辆数 */
    @Excel(name = "可容纳车辆数")
    @TableField("totalvehnum")
    @ApiModelProperty(value = "可容纳车辆数")
    private Long totalvehnum;

    /** 已投放车辆数 */
    @Excel(name = "已投放车辆数")
    @TableField("curvehnum")
    @ApiModelProperty(value = "已投放车辆数")
    private Long curvehnum;

    /** 备案状态： 0：未备案 1：已备案 */
    @Excel(name = "备案状态： 0：未备案 1：已备案")
    @TableField("status")
    @ApiModelProperty(value = "备案状态： 0：未备案 1：已备案")
    private Long status;

    /** 审核状态： 0：待审核 1：同意启用 2：不同意启用 */
    @Excel(name = "审核状态： 0：待审核 1：同意启用 2：不同意启用")
    @TableField("flag")
    @ApiModelProperty(value = "审核状态： 0：待审核 1：同意启用 2：不同意启用")
    private Long flag;

    /** 区县编号 */
    @Excel(name = "区县编号")
    @TableField("area_code")
    @ApiModelProperty(value = "区县编号")
    private String areaCode;

    /** 经度 */
    @Excel(name = "经度")
    @TableField("poi_lon")
    @ApiModelProperty(value = "经度")
    private BigDecimal poiLon;

    /** 纬度 */
    @Excel(name = "纬度")
    @TableField("poi_lat")
    @ApiModelProperty(value = "纬度")
    private BigDecimal poiLat;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setInscode(String inscode){
        this.inscode = inscode;
    }

    public String getInscode(){
        return inscode;
    }
    public void setSeq(String seq){
        this.seq = seq;
    }

    public String getSeq(){
        return seq;
    }
    public void setName(String name){
        this.name = name;
    }

    public String getName(){
        return name;
    }
    public void setAddress(String address){
        this.address = address;
    }

    public String getAddress(){
        return address;
    }
    public void setArea(Long area){
        this.area = area;
    }

    public Long getArea(){
        return area;
    }
    public void setType(Long type){
        this.type = type;
    }

    public Long getType(){
        return type;
    }
    public void setVehicletype(String vehicletype){
        this.vehicletype = vehicletype;
    }

    public String getVehicletype(){
        return vehicletype;
    }
    public void setPolygon(String polygon){
        this.polygon = polygon;
    }

    public String getPolygon(){
        return polygon;
    }
    public void setTotalvehnum(Long totalvehnum){
        this.totalvehnum = totalvehnum;
    }

    public Long getTotalvehnum(){
        return totalvehnum;
    }
    public void setCurvehnum(Long curvehnum){
        this.curvehnum = curvehnum;
    }

    public Long getCurvehnum(){
        return curvehnum;
    }
    public void setStatus(Long status){
        this.status = status;
    }

    public Long getStatus(){
        return status;
    }
    public void setFlag(Long flag){
        this.flag = flag;
    }

    public Long getFlag(){
        return flag;
    }
    public void setAreaCode(String areaCode){
        this.areaCode = areaCode;
    }

    public String getAreaCode(){
        return areaCode;
    }
    public void setPoiLon(BigDecimal poiLon){
        this.poiLon = poiLon;
    }

    public BigDecimal getPoiLon(){
        return poiLon;
    }
    public void setPoiLat(BigDecimal poiLat){
        this.poiLat = poiLat;
    }

    public BigDecimal getPoiLat(){
        return poiLat;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("inscode", getInscode())
            .append("seq", getSeq())
            .append("name", getName())
            .append("address", getAddress())
            .append("area", getArea())
            .append("type", getType())
            .append("vehicletype", getVehicletype())
            .append("polygon", getPolygon())
            .append("totalvehnum", getTotalvehnum())
            .append("curvehnum", getCurvehnum())
            .append("status", getStatus())
            .append("flag", getFlag())
            .append("areaCode", getAreaCode())
            .append("poiLon", getPoiLon())
            .append("poiLat", getPoiLat())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
